<?php

define('DEBUG', false);
define('ENV', ENV_FORMAL);

$GLOBALS['FIRE_BASE_PRI_KEY'] = 'X_hdaICpObuXWiqBRIOjc2f1KWjxlJEKg6bQY5sMTkc';

$GLOBALS['verifyPath'] = '/data/webapps/ws.mee.chat/verify.js';
$GLOBALS['tronVerifyPath'] = '/data/webapps/ws.mee.chat/verifyTron.js';
$GLOBALS['publicKeyAdmin'] = 'EOS7T2QLXGNnpkSdqAWNivGgXkjWjjGSvAoAvgQShhwpTa7dUvWfJ';

$GLOBALS['walletName'] = 'meechat';
$path = '/data/webapps/dice_conf';
$GLOBALS['walletPwd'] = trim(file_get_contents("{$path}/{$GLOBALS['walletName']}_pwd.txt"));

$GLOBALS['eosProtocol'] = 'https';
$GLOBALS['eosHost'] = 'proxy.eosnode.tools';
$GLOBALS['eosPort'] = 443;

if ($GLOBALS['eosProtocol'] == 'https' && $GLOBALS['eosPort'] == 443) {
    $GLOBALS['eosUrl'] = "{$GLOBALS['eosProtocol']}://{$GLOBALS['eosHost']}/";
} else {
    $GLOBALS['eosUrl'] = "{$GLOBALS['eosProtocol']}://{$GLOBALS['eosHost']}:{$GLOBALS['eosPort']}/";
}

define('CALL_LOG_REDIS', 'logstash_aws');
define("CALL_LOG_KEY", "logstash:redis");
//define("URL_CDN", "//w5.dwstatic.com/cdn/{$_SERVER['HTTP_HOST']}/");
define("URL_CDN", "//static.meechat.me/cdn/{$_SERVER['HTTP_HOST']}/");
define("URL_IPS", "//image.meechat.me/ips/{$_SERVER['HTTP_HOST']}/");

//webpush
define('MESSAGING_PRIVATE_KEY', 'VaWG-r7hYLlWApB3vwGj0Pp4KhzVx5NibCVWSiOjm8A');
define('MESSAGING_PUBLIC_KEY', 'BNan2ZkZRV6skCmS9rAJx5jb0eZgjo1-hmil3ZkhJs20yDOpBpEFaV9p1mag6KfBItZdzCT9-8pt15GSIIGV5DE');

define('URL_SELF', '//mee.chat');
define('CHAT_SERVER_ID', 10000);

define('BOT_ID', 707115334);
define('BOT_CHAT_URL', 'https://t.me/meechatbot');
define('BOT_TOKEN', '707115334:AAEOgIzqs2ggi711tK3wgyipqcH8vh3oi6s'); // @mee_test_bot
define('TELEGRAM_API_URL', 'https://api.telegram.org/bot'.BOT_TOKEN.'/');
define('TELEGRAM_FILE_URL', 'https://api.telegram.org/file/bot'.BOT_TOKEN.'/');
define('TG_BOT_ID', 999);
//end of script

